Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029982
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementmajoralways2015-05-22 13:072015-06-04 14:27
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9660c62a65e2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029982: Cannot create a sales order from a project phase if the price list of the project is not defined

DescriptionCannot create a sales order from a project phase if the price list of the project is not defined
Steps To ReproduceAs group admin role:
   Create a Multiphase Project
   Leave the Price List field empty
   Create a Project Phase
   Launch the Set Project Type process
   Change Project Status to Order
   Select the Project Phase and launch the Create Sales from Project Phase process
   Check a success message is shown but the sales order is not created
      "Document No.:"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0078020)
hgbot (developer)
2015-06-03 14:25

Repository: erp/devel/pi
Changeset: 9660c62a65e2ac18ea84bd76127ed21f2a5b772e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 29 18:13:33 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9660c62a65e2ac18ea84bd76127ed21f2a5b772e [^]

Fixes Issue 29982:Cannot create a sales order from a project phase if the
price list of the project is not defined

ChangeProjectStatusToOrder function takes care to check whether pricelist in
project is null in case of multiphase project category 'S'.

Query used in for loop did not fetched records in GenerateSoFromProjectPhase as
pricelist was null. Now query returns results with null pricelists also so
that proper error message is shown.

---
M src-db/database/model/functions/C_CHANGEPROJECTSTATUSTOORDER.xml
M src-db/database/model/functions/C_GENERATESOFROMPROJECTPHASE.xml
---
(0078021)
hgbot (developer)
2015-06-03 14:25

Repository: erp/devel/pi
Changeset: 6f5bd72a978907629af1669d4dce24f2dfc088da
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Jun 03 14:24:14 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6f5bd72a978907629af1669d4dce24f2dfc088da [^]

Related to issue 29982: code review improvements

Avoid useless join to M_PRICELIST table to improve performance
Use generic error message

---
M src-db/database/model/functions/C_CHANGEPROJECTSTATUSTOORDER.xml
M src-db/database/model/functions/C_GENERATESOFROMPROJECTPHASE.xml
---
(0078022)
vmromanos (developer)
2015-06-03 14:28

Code review + testing OK
(0078073)
hudsonbot (developer)
2015-06-04 14:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c031eb54738d [^]
Maturity status: Test
(0078074)
hudsonbot (developer)
2015-06-04 14:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c031eb54738d [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-22 13:07 ngarcia New Issue
2015-05-22 13:07 ngarcia Assigned To => Triage Finance
2015-05-22 13:07 ngarcia Modules => Core
2015-05-22 13:07 ngarcia Triggers an Emergency Pack => No
2015-05-22 13:08 ngarcia Issue Monitored: networkb
2015-05-29 07:35 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-05-29 07:35 AtulOpenbravo Status new => scheduled
2015-06-03 14:25 hgbot Checkin
2015-06-03 14:25 hgbot Note Added: 0078020
2015-06-03 14:25 hgbot Status scheduled => resolved
2015-06-03 14:25 hgbot Resolution open => fixed
2015-06-03 14:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9660c62a65e2ac18ea84bd76127ed21f2a5b772e [^]
2015-06-03 14:25 hgbot Checkin
2015-06-03 14:25 hgbot Note Added: 0078021
2015-06-03 14:28 vmromanos Review Assigned To => vmromanos
2015-06-03 14:28 vmromanos Note Added: 0078022
2015-06-03 14:28 vmromanos Status resolved => closed
2015-06-04 14:27 hudsonbot Checkin
2015-06-04 14:27 hudsonbot Note Added: 0078073
2015-06-04 14:27 hudsonbot Checkin
2015-06-04 14:27 hudsonbot Note Added: 0078074


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker